﻿using System;
using System.Threading;
using System.Threading.Tasks;

namespace Lab194
{
    class Program
    {
        static void TaskAction()
        {
            Console.WriteLine($"TaskAction started. Task ID: {Task.CurrentId}");
            for (int i = 0; i < 5; i++)
            {
                Thread.Sleep(1000);
                Console.WriteLine($"Task ID: {Task.CurrentId}; Count: {i}");
            }
            Console.WriteLine($"TaskAction ended. Task ID: {Task.CurrentId}");
        }

        public static void Main(string[] args)
        {
            Console.WriteLine("Main thread start!");

            Task task1 = new Task(TaskAction);
            Task task2 = new Task(TaskAction);
            task1.Start();
            task2.Start();

            Console.WriteLine("Waiting...");
            task1.Wait();
            task2.Wait();

            Console.WriteLine("Main thread stop!");
        }
    }
}
